<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

include("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

include("include/Materials_Master_variables.php");

$mode=postvalue("mode");

if(!@$_SESSION["UserID"])
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

include('include/xtempl.php');
$xt = new Xtempl();


$recordsCounter = 0;

//	process masterkey value
$mastertable=postvalue("mastertable");
if($mastertable!="")
{
	$_SESSION[$strTableName."_mastertable"]=$mastertable;
//	copy keys to session
	$i=1;
	while(isset($_REQUEST["masterkey".$i]))
	{
		$_SESSION[$strTableName."_masterkey".$i]=$_REQUEST["masterkey".$i];
		$i++;
	}
	if(isset($_SESSION[$strTableName."_masterkey".$i]))
		unset($_SESSION[$strTableName."_masterkey".$i]);
}
else
	$mastertable=$_SESSION[$strTableName."_mastertable"];

//$strSQL = $gstrSQL;

if($mastertable=="material category")
{
	$where ="";
		$where.= GetFullFieldName("Material Category")."=".make_db_value("Material Category",$_SESSION[$strTableName."_masterkey1"]);
}


$str = SecuritySQL("Search");
if(strlen($str))
	$where.=" and ".$str;
$strSQL = gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount=gSQLRowCount($where);

$xt->assign("row_count",$rowcount);
if ( $rowcount ) {
	$xt->assign("details_data",true);
	$rs=db_query($strSQL,$conn);

	$display_count=10;
	if($mode=="inline")
		$display_count*=2;
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo=array();
		
	while (($data = db_fetch_array($rs)) && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row=array();
		$keylink="";
		$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["Material Code"]));

	
	//	Material Code - 
		    $value="";
				$value = ProcessLargeText(GetData($data,"Material Code", ""),"field=Material+Code".$keylink,"",MODE_PRINT);
			$row["Material_Code_value"]=$value;
	//	Material Description - 
		    $value="";
				$value = ProcessLargeText(GetData($data,"Material Description", ""),"field=Material+Description".$keylink,"",MODE_PRINT);
			$row["Material_Description_value"]=$value;
	//	Material Category - 
		    $value="";
				$value = ProcessLargeText(GetData($data,"Material Category", ""),"field=Material+Category".$keylink,"",MODE_PRINT);
			$row["Material_Category_value"]=$value;
	//	Specification - 
		    $value="";
				$value = ProcessLargeText(GetData($data,"Specification", ""),"field=Specification".$keylink,"",MODE_PRINT);
			$row["Specification_value"]=$value;
	//	Status - 
		    $value="";
				$value = ProcessLargeText(GetData($data,"Status", ""),"field=Status".$keylink,"",MODE_PRINT);
			$row["Status_value"]=$value;
	//	List_Price - Number
		    $value="";
				$value = ProcessLargeText(GetData($data,"List_Price", "Number"),"field=List%5FPrice".$keylink,"",MODE_PRINT);
			$row["List_Price_value"]=$value;
	//	MDP - Number
		    $value="";
				$value = ProcessLargeText(GetData($data,"MDP", "Number"),"field=MDP".$keylink,"",MODE_PRINT);
			$row["MDP_value"]=$value;
	//	Tax - Number
		    $value="";
				$value = ProcessLargeText(GetData($data,"Tax", "Number"),"field=Tax".$keylink,"",MODE_PRINT);
			$row["Tax_value"]=$value;
	//	Last Updated on - Datetime
		    $value="";
				$value = ProcessLargeText(GetData($data,"Last Updated on", "Datetime"),"field=Last+Updated+on".$keylink,"",MODE_PRINT);
			$row["Last_Updated_on_value"]=$value;
	//	Last Updated by - 
		    $value="";
				$value = ProcessLargeText(GetData($data,"Last Updated by", ""),"field=Last+Updated+by".$keylink,"",MODE_PRINT);
			$row["Last_Updated_by_value"]=$value;
	$rowinfo[]=$row;
	}
	$xt->assign_loopsection("details_row",$rowinfo);
} else {
}
$xt->display("Materials_Master_detailspreview.htm");
if($mode!="inline")
	echo "counterSeparator".postvalue("counter");
?>